Bug 246213 - Firefox crashes on Flash heavy site
Summary: Firefox crashes on Flash heavy site
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i686 Linux
low
high
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: flash_el4
TreeView+ depends on / blocked
 
Reported: 2007-06-29 09:03 UTC by Nigel Horne
Modified: 2018-04-11 17:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 14:10:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of the next page from the one reporter's browser crashes (271.78 KB, image/png)
2007-06-29 14:00 UTC, Matěj Cepl
no flags Details

Description Nigel Horne 2007-06-29 09:03:35 UTC
Description of problem:
Firefox crashes when attempting to display http://www.logancitybrassband.com 

Version-Release number of selected component (if applicable):
firefox-1.5.0.12-1.fc6

How reproducible:
100%

Steps to Reproduce:
1. Start firefox
2. Visit http://www.logancitybrassband.com
3. 
  
Actual results:
Firefox crashes

Expected results:
It shouldn't crash

Additional info:
If you have other instances of firefox running, they die as well
Core dump is nearly 60MB!!, so your bug system refuses to accept it :-(

Comment 1 Matěj Cepl 2007-06-29 09:44:38 UTC
Take a look at http://kb.mozillazine.org/Getting_a_stacktrace_with_gdb for info
how to obtain backtrace from the coredump.

Comment 2 Nigel Horne 2007-06-29 09:54:40 UTC
Why not visit the site yourself and create a core dump? It takes about 5
seconds, probably less time than it took you to right your message.

Comment 3 Matěj Cepl 2007-06-29 13:44:17 UTC
Hmm, what about -- because it is not crashing on me (and yes, I have x86_64 so I
have no Macromedia Flashplayer here, because it doesn't work on 64bit platform)?
I would suggest installing Flashblock
(https://addons.mozilla.org/en-US/firefox/addon/433) or similar Firefox
extension. However, it seems that then this website is not that much useful.

Anyway, can I get that backtrace from you? Otherwise, I will have to close this
bug as unreproducible.

Comment 4 Matěj Cepl 2007-06-29 13:45:40 UTC
sorry, the last sentence of the first paragraph should end with "without flash
viewer" -- no offense meant against the site itself.

Comment 5 Matěj Cepl 2007-06-29 14:00:31 UTC
Created attachment 158207 [details]
screenshot of the next page from the one reporter's browser crashes

I cannot reproduce it even on my notebook which is i386 and with flash-plugin
installed.

Comment 6 Matěj Cepl 2007-06-29 14:01:57 UTC
What version of flash plugin you have? It's flash-plugin 9.0.31.0-1 here.

Comment 7 Christopher Aillon 2007-06-29 17:37:51 UTC
Just tried reproducing and while the browser gets very slow for me, it doesn't
crash.  A backtrace would be most useful so we can determine where the fault is.

Comment 8 Matěj Cepl 2007-08-03 13:53:41 UTC
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.


Comment 9 Nigel Horne 2007-08-03 14:51:15 UTC
Can't you fix it yourself?

Comment 10 Matěj Cepl 2007-08-03 16:03:38 UTC
What do you mean? Whether we can (using clairvoyance, crystal ball, or by the
similar means) discover what's going on inside your computer? Remember, we were
not able to reproduce this bug here.

Comment 11 Martin Stransky 2007-08-06 08:32:58 UTC
Matej, don't care about flash crash. It's an external plugin and we can't fix it.

Comment 12 Matěj Cepl 2007-08-14 14:10:15 UTC
Closing per developer's comment 11.

Comment 13 Matěj Cepl 2007-08-14 14:10:27 UTC
Closing per developer's comment 11.


Note You need to log in before you can comment on or make changes to this bug.